This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Post Reply 
 
Thread Rating:
  • 7 Votes - 3.86 Average
  • 1
  • 2
  • 3
  • 4
  • 5
RPCS3 for Newcomers
03-14-2016, 10:41 PM
Post: #11
RE: RPCS3 for Newcomers
(03-14-2016 04:52 PM)Annie Wrote:  
(03-14-2016 04:00 PM)Rahul Wrote:  can i play god of war 3 on #rpcs3 emulatorHuh

(03-10-2016 12:54 PM)Annie Wrote:  These buffers are only required for big AAA games, which don't run yet.

--- / ---

Added references to
- SSSE3 and SSE4.1 compatible CPUs: http://stackoverflow.com/a/28186601
- OpenGL 4.5 compatible GPUs: http://i.imgur.com/0s2IrLv.png (couldn't find a better reference)
- DirectX 12 compatible GPUs: http://www.geforce.com/hardware/technolo...orted-gpus and http://www.amd.com/en-us/innovations/sof.../directx12

I have yet to find a list of AMD/NVIDIA Vulkan compatible GPUs.

Referring to "LLE modules" as PRX/SPRX modules first, in the hope of more accurate information.
Rewrote some stuff in the first two topics, in the hope of an easier understanding of the guide.

Btw, we only require OpenGL 4.3 at the moment. ALso, you can probably find list of currently supported Vulkan GPUs in drivers release notes. For AMD all DX12 compatible should be supported. Doubt that older ones will get windows Vulkan driver.
Find all posts by this user
Quote this message in a reply
03-14-2016, 10:48 PM (This post was last modified: 03-14-2016 11:08 PM by Annie.)
Post: #12
RE: RPCS3 for Newcomers
(03-14-2016 10:41 PM)flashmozzg Wrote:  Btw, we only require OpenGL 4.3 at the moment. ALso, you can probably find list of currently supported Vulkan GPUs in drivers release notes. For AMD all DX12 compatible should be supported. Doubt that older ones will get windows Vulkan driver.

I got took the OpenGL 4.5 requirement from the FAQ over at github
If it's wrong, should as well correct there

What about Vulkan support for NVIDIA GPUs? Got this list for Vulkan: https://www.khronos.org/conformance/adop...cts#vulkan
According to 364.51's (latest NV WHQL drivers with VK support) supported products list, seems it's GeForce GT 420 and newer.

Main post updated with the provided info.

Desktop: AMD FX-8350 | AMD R9 280X 3G
Laptop: Intel i7-6700HQ | NVIDIA GTX 960M 2G
Find all posts by this user
Quote this message in a reply
03-15-2016, 07:33 PM (This post was last modified: 03-15-2016 07:46 PM by tambre.)
Post: #13
RE: RPCS3 for Newcomers
(03-14-2016 10:48 PM)Annie Wrote:  
(03-14-2016 10:41 PM)flashmozzg Wrote:  Btw, we only require OpenGL 4.3 at the moment. ALso, you can probably find list of currently supported Vulkan GPUs in drivers release notes. For AMD all DX12 compatible should be supported. Doubt that older ones will get windows Vulkan driver.

I got took the OpenGL 4.5 requirement from the FAQ over at github
If it's wrong, should as well correct there

What about Vulkan support for NVIDIA GPUs? Got this list for Vulkan: https://www.khronos.org/conformance/adop...cts#vulkan
According to 364.51's (latest NV WHQL drivers with VK support) supported products list, seems it's GeForce GT 420 and newer.

Main post updated with the provided info.

Not sure about Vulkan part, the update concerns all the "active cards" not the Vulkan-enabled ones. My graphic card (525M) for instance is not supported.
The first nVidia cards to support Vulkan start from high-ends of 6xx series.
For nVidia graphics, here is an exhaustive list of Vulkan-enabled graphic cards: https://developer.nvidia.com/vulkan-driver
Find all posts by this user
Quote this message in a reply
03-15-2016, 08:11 PM
Post: #14
RE: RPCS3 for Newcomers
(03-15-2016 07:33 PM)theKDL Wrote:  
(03-14-2016 10:48 PM)Annie Wrote:  
(03-14-2016 10:41 PM)flashmozzg Wrote:  Btw, we only require OpenGL 4.3 at the moment. ALso, you can probably find list of currently supported Vulkan GPUs in drivers release notes. For AMD all DX12 compatible should be supported. Doubt that older ones will get windows Vulkan driver.

I got took the OpenGL 4.5 requirement from the FAQ over at github
If it's wrong, should as well correct there

What about Vulkan support for NVIDIA GPUs? Got this list for Vulkan: https://www.khronos.org/conformance/adop...cts#vulkan
According to 364.51's (latest NV WHQL drivers with VK support) supported products list, seems it's GeForce GT 420 and newer.

Main post updated with the provided info.

Not sure about Vulkan part, the update concerns all the "active cards" not the Vulkan-enabled ones. My graphic card (525M) for instance is not supported.
The first nVidia cards to support Vulkan start from high-ends of 6xx series.
For nVidia graphics, here is an exhaustive list of Vulkan-enabled graphic cards: https://developer.nvidia.com/vulkan-driver

Yes, you're right, I checked the Vulkan link and it seems they only have nVidia GPUs from 6xx and up.
The link I added to the topic was https://www.khronos.org/conformance/adop...t-products , so it should be fine.

Desktop: AMD FX-8350 | AMD R9 280X 3G
Laptop: Intel i7-6700HQ | NVIDIA GTX 960M 2G
Find all posts by this user
Quote this message in a reply
03-16-2016, 05:35 AM
Post: #15
RE: RPCS3 for Newcomers
(03-15-2016 08:11 PM)Annie Wrote:  
(03-15-2016 07:33 PM)theKDL Wrote:  
(03-14-2016 10:48 PM)Annie Wrote:  
(03-14-2016 10:41 PM)flashmozzg Wrote:  Btw, we only require OpenGL 4.3 at the moment. ALso, you can probably find list of currently supported Vulkan GPUs in drivers release notes. For AMD all DX12 compatible should be supported. Doubt that older ones will get windows Vulkan driver.

I got took the OpenGL 4.5 requirement from the FAQ over at github
If it's wrong, should as well correct there

What about Vulkan support for NVIDIA GPUs? Got this list for Vulkan: https://www.khronos.org/conformance/adop...cts#vulkan
According to 364.51's (latest NV WHQL drivers with VK support) supported products list, seems it's GeForce GT 420 and newer.

Main post updated with the provided info.

Not sure about Vulkan part, the update concerns all the "active cards" not the Vulkan-enabled ones. My graphic card (525M) for instance is not supported.
The first nVidia cards to support Vulkan start from high-ends of 6xx series.
For nVidia graphics, here is an exhaustive list of Vulkan-enabled graphic cards: https://developer.nvidia.com/vulkan-driver

Yes, you're right, I checked the Vulkan link and it seems they only have nVidia GPUs from 6xx and up.
The link I added to the topic was https://www.khronos.org/conformance/adop...t-products , so it should be fine.

I think the Nvidia's Vulkan Driver link is better to read, as in the list of conformant products it's listed multiple times.
Find all posts by this user
Quote this message in a reply
03-16-2016, 08:00 AM
Post: #16
RE: RPCS3 for Newcomers
(03-16-2016 05:35 AM)tambre Wrote:  I think the Nvidia's Vulkan Driver link is better to read, as in the list of conformant products it's listed multiple times.

Is there a similar one for AMD?

Desktop: AMD FX-8350 | AMD R9 280X 3G
Laptop: Intel i7-6700HQ | NVIDIA GTX 960M 2G
Find all posts by this user
Quote this message in a reply
03-16-2016, 06:57 PM
Post: #17
RE: RPCS3 for Newcomers
(03-16-2016 08:00 AM)Annie Wrote:  
(03-16-2016 05:35 AM)tambre Wrote:  I think the Nvidia's Vulkan Driver link is better to read, as in the list of conformant products it's listed multiple times.

Is there a similar one for AMD?

http://support.amd.com/en-us/kb-articles...-beta.aspx
Find all posts by this user
Quote this message in a reply
03-16-2016, 07:00 PM
Post: #18
RE: RPCS3 for Newcomers
Thanks

Main post edited, added the Vulkan links for AMD | NVIDIA

https://developer.nvidia.com/vulkan-driver
http://support.amd.com/en-us/kb-articles...-beta.aspx

Desktop: AMD FX-8350 | AMD R9 280X 3G
Laptop: Intel i7-6700HQ | NVIDIA GTX 960M 2G
Find all posts by this user
Quote this message in a reply
03-26-2016, 10:57 AM
Post: #19
RE: RPCS3 for Newcomers
Hi! Are there any online download links for the LLE files? Or does it already come with RPCS3? Also where should you put the files? Thanks in advance!
Find all posts by this user
Quote this message in a reply
03-26-2016, 01:13 PM
Post: #20
RE: RPCS3 for Newcomers
(03-26-2016 10:57 AM)HawkEye42 Wrote:  Hi! Are there any online download links for the LLE files? Or does it already come with RPCS3? Also where should you put the files? Thanks in advance!

Quote:Please keep in mind that piracy is not allowed and asking help with piracy, requesting pirated firmware files or games may result in a permanent suspension.

From the bottom of the post.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)